# AddressToPCode

Lookup jurisdictions by location name and/or postal code

`POST /api/v1/Location/ZipAddressLookup`

**API:** SaasPro
**Tag:** Location
**API Version:** v1
**Content-Type:** `application/json`
**Accepts:** `text/plain`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/communications/api/v1-deprecated/methods/Location/AddressToPCode/

## Description

Searches jurisdiction matches for the address provided. The results may be an exact match or potential matches as
            specified by the BestMatch attribute in the input parameter object.

## Request Body

**Schema:** `PCodeLookupRequest`

| Property | Type | Required | Description |
|---|---|---|---|
| `CountryIso` | string | No |  |
| `State` | string | No |  |
| `County` | string | No |  |
| `City` | string | No |  |
| `ZipCode` | string | No |  |
| `BestMatch` | boolean | No |  |
| `LimitResults` | integer | No |  |
| `NpaNxx` | string | No |  |
| `Fips` | string | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `PCodeLookupResult` |

### 200 Response: `PCodeLookupResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `LocationData` | LocationItem[] | No |  |
| `MatchCount` | integer | No |  |
| `InputMatchType` | string | No |  |
| `MatchTypeApplied` | string | No |  |
| `ResultsLimit` | integer | No |  |